开发者社区 > 大数据与机器学习 > 开源大数据平台 E-MapReduce > 正文

问下阿里云E-MapReduce spark-shell有SDK 报错找不到schema?

Caused by: org.apache.hadoop.hive.metastore.api.MetaException: Got exception: org.apache.hadoop.fs.UnsupportedFileSystemException No FileSystem for scheme "oss"
at org.apache.hadoop.hive.metastore.api.ThriftHiveMetastore$create_table_req_result$create_table_req_resultStandardScheme.read(ThriftHiveMetastore.java:60735)

jindo-core-4.6.12.jar System Classpath
jindo-sdk-4.6.12.jar System Classpath
问下阿里云E-MapReduce spark-shell有SDK 报错找不到schema

展开
收起
cuicuicuic 2023-11-19 17:33:27 73 0
2 条回答
写回答
取消 提交回答
  • 这个是hivemetastore报的,需要hivemetastore的classpath配好jindosdk并且重启,此回答整理自钉群“JindoData 用户交流群”

    2023-11-20 07:47:24
    赞同 展开评论 打赏
  • 面对过去,不要迷离;面对未来,不必彷徨;活在今天,你只要把自己完全展示给别人看。

    根据您的描述,您似乎遇到了 Hive Metastore API 不能识别 Oss 文件系统的错误。这可能是由于缺少必要的 OSS 支持导致的。建议您检查一下您的 Hadoop 配置,并确保已经将 OSS 设置为了默认文件系统。
    另外,您还需要确保您已经安装了最新的阿里云 E-MapReduce Spark 插件,并将相关 JAR 文件加入到了类路径中。可以参考下面的示例:

    export SPARK_DIST_CLASSPATH=$(/usr/lib/emr/plugins/aliyun-hadoop-fuse-oss/plugin/bin/hadoop classpath)
    spark-submit --master yarn \
        --deploy-mode cluster \
        --conf spark.driver.extraClassPath=/usr/lib/emr/plugins/jindo-data/jindo-core-4.6.12.jar,/usr/lib/emr/plugins/jindo-data/jindo-sdk-4.6.12.jar \
        --conf spark.executor.extraClassPath=/usr/lib/emr/plugins/jindo-data/jindo-core-4.6.12.jar,/usr/lib/emr/plugins/jindo-data/jindo-sdk-4.6.12.jar \
        --class com.example.Main your-spark-job.jar
    
    2023-11-19 21:51:43
    赞同 展开评论 打赏

阿里云EMR是云原生开源大数据平台,为客户提供简单易集成的Hadoop、Hive、Spark、Flink、Presto、ClickHouse、StarRocks、Delta、Hudi等开源大数据计算和存储引擎,计算资源可以根据业务的需要调整。EMR可以部署在阿里云公有云的ECS和ACK平台。

相关产品

  • 开源大数据平台 E-MapReduce
  • 相关电子书

    更多
    阿里云产品十月刊 立即下载
    基于阿里云构建博学谷平台实时湖仓 立即下载
    阿里云ElasticsearchSeverless版产品发布 立即下载